Show all firewall#
ベアメタル用のファイアーウォールを一覧表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 西日本リージョン3の場合 | https://nfv.jp-west-3.cloud.global.fujitsu.com |
| 東日本リージョン3の場合 | https://nfv.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/fw/nfv/firewalls/
HTTPステータスコード#
正常時:200
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| firewall | object | ファイアーウォールのオブジェクト |
| active | boolean | ファイアーウォールの動作状態 |
| description | string | ファイアーウォールの説明 |
| firewall_policy_id | string | ファイアーウォールで利用しているファイアーウォールポリシーのID |
| id | string | ファイアーウォールのID |
| name | string | ファイアーウォールの名前 |
| status | string | 設定ステータス ACTIVE / BUILD / DELETING / CREATE_ERROR / UPDATE_ERROR / DELETE_ERROR |
| tenant_id | string | ファイアーウォールが所属するプロジェクトID |
| router_id | string | ファイアーウォールが設定されている仮想ルータのID |
| detail | string | ファイアーウォールの詳細 |
レスポンス例#
{ "firewalls": [ { "status": "ACTIVE", "name": "fw", "id": "1278209", "active": true, "firewall_policy_id": "1278208", "router_id": "f93d52f5-881d-47a9-9f1f-d296e9c1c3fc", "description": "", "tenant_id": "a0d0786456624609ae442972e9580cbf", "detail": "" } ] }